# Change Log

## [4.0.1](https://github.com/zammad/zammad/tree/4.0.1) (2021-06-08)
[Full Changelog](https://github.com/zammad/zammad/compare/4.0.0...4.0.1)

**Implemented enhancements:**
- Accept 2xx as response for requests in UserAgent [3573](https://github.com/zammad/zammad/pull/3573) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Don't fail job is `deletable_id` is no longer available [3536](https://github.com/zammad/zammad/issues/3536) [[data privacy](https://github.com/zammad/zammad/labels/data privacy)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Increase text modules box height for high resolutions [3544](https://github.com/zammad/zammad/issues/3544) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[text modules](https://github.com/zammad/zammad/labels/text modules)]
- nginx zammad.conf file can not handle IPv6 [3371](https://github.com/zammad/zammad/issues/3371) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]

**Fixed bugs:**
- Escalation calculation breaks data privacy ticket deletion [3588](https://github.com/zammad/zammad/issues/3588) [[bug](https://github.com/zammad/zammad/labels/bug)] [[data privacy](https://github.com/zammad/zammad/labels/data privacy)]
- DataPrivacy may fail to clear user relations [3585](https://github.com/zammad/zammad/issues/3585) [[bug](https://github.com/zammad/zammad/labels/bug)] [[data privacy](https://github.com/zammad/zammad/labels/data privacy)]
- Package migrations fail on package installation or update due to codebase self-modification [3580](https://github.com/zammad/zammad/issues/3580) [[bug](https://github.com/zammad/zammad/labels/bug)] [[core](https://github.com/zammad/zammad/labels/core)]
- Invalid html signature detection for exchange warning boxes [3571](https://github.com/zammad/zammad/issues/3571) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Attachments sent by Zammad not shown in Outlook [3529](https://github.com/zammad/zammad/issues/3529) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- First response doesn't get solved after answering and state change to pending reminder [3551](https://github.com/zammad/zammad/issues/3551) [[bug](https://github.com/zammad/zammad/labels/bug)] [[escalation logic](https://github.com/zammad/zammad/labels/escalation logic)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- CTI Log performance bad because of reformatting of the phone number [3550](https://github.com/zammad/zammad/issues/3550) [[CTI](https://github.com/zammad/zammad/labels/CTI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[integration](https://github.com/zammad/zammad/labels/integration)] [[performance](https://github.com/zammad/zammad/labels/performance)]
- Wrong Variable-Reference for Tags (Trigger, Scheduler) [2769](https://github.com/zammad/zammad/issues/2769) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[trigger](https://github.com/zammad/zammad/labels/trigger)]
- Ticket selector for first_response_escalation_at, update_escalation_at, close_escalation_at missing [3547](https://github.com/zammad/zammad/issues/3547) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)] [[trigger](https://github.com/zammad/zammad/labels/trigger)]
- new _plugin dir introduces auth:login events which will never get triggered [3508](https://github.com/zammad/zammad/issues/3508) [[bug](https://github.com/zammad/zammad/labels/bug)] [[core](https://github.com/zammad/zammad/labels/core)]
- Broken UI - Create Reporting profile [3499](https://github.com/zammad/zammad/issues/3499) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Translate link text of link template in organization sidebar in ticket zoom [3543](https://github.com/zammad/zammad/issues/3543) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Ensure Google Calendars are fetched via `HTTPS` [3545](https://github.com/zammad/zammad/issues/3545) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Opening user edit dialog with `admin.user`  causes WebApp freeze for 10-20 sec. with 100+ roles [3541](https://github.com/zammad/zammad/issues/3541) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[performance](https://github.com/zammad/zammad/labels/performance)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- POST /api/v1/users/avatar with empty input -> undefined method `substr' for nil:NilClass [3492](https://github.com/zammad/zammad/issues/3492) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Outgoing emails with tables have borders (do not contain design elements in email reset css) [3506](https://github.com/zammad/zammad/issues/3506) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Escalation overview and all escalation related triggers/schedulers broken in Zammad 4.0 [3523](https://github.com/zammad/zammad/issues/3523) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- prevent "CSRF token verification failed!" error [3531](https://github.com/zammad/zammad/pull/3531)
- Customer overview doesn't load on change [3479](https://github.com/zammad/zammad/issues/3479) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Google and Microsoft 365 are missing filter & signature page content [3522](https://github.com/zammad/zammad/issues/3522) [[bug](https://github.com/zammad/zammad/labels/bug)] [[channel](https://github.com/zammad/zammad/labels/channel)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- local gitlab without https is only partially supported [3512](https://github.com/zammad/zammad/issues/3512) [[bug](https://github.com/zammad/zammad/labels/bug)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- Unable to verify S/MIME mail signature signed with certificate chain [3517](https://github.com/zammad/zammad/issues/3517) [[bug](https://github.com/zammad/zammad/labels/bug)] [[mail processing](https://github.com/zammad/zammad/labels/mail processing)]
- KB Edit / Save entries results in JS errors and unsaved articles [3486](https://github.com/zammad/zammad/issues/3486) [[bug](https://github.com/zammad/zammad/labels/bug)] [[knowledge base](https://github.com/zammad/zammad/labels/knowledge base)]
- Caller Log: Incoming calls move tabs out of Browser context [3444](https://github.com/zammad/zammad/issues/3444) [[CTI](https://github.com/zammad/zammad/labels/CTI)] [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Admin sidebar scrolls up on click on translations menu [3445](https://github.com/zammad/zammad/issues/3445) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[admin area](https://github.com/zammad/zammad/labels/admin area)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Full quote shows "<agent> wrote:" instead of "<customer> wrote" when agent toggled article visibility [2629](https://github.com/zammad/zammad/issues/2629) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Not authorized error using Im X-On-Behalf-Of [3468](https://github.com/zammad/zammad/issues/3468) [[API](https://github.com/zammad/zammad/labels/API)] [[authentication](https://github.com/zammad/zammad/labels/authentication)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Error 500:{"error":"undefined method `+' for nil:NilClass"} - Creating Overview [3490](https://github.com/zammad/zammad/issues/3490) [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)]
- Invalid `null` value for user's last name [3488](https://github.com/zammad/zammad/issues/3488) [[admin area](https://github.com/zammad/zammad/labels/admin area)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[data privacy](https://github.com/zammad/zammad/labels/data privacy)]
- mention in email body breaks email parsing [3489](https://github.com/zammad/zammad/issues/3489) [[bug](https://github.com/zammad/zammad/labels/bug)] [[mail processing](https://github.com/zammad/zammad/labels/mail processing)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Macros are not displayed within the Mobile View [3473](https://github.com/zammad/zammad/issues/3473) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- `read` permission is not enough to display subscribed tickets in overviews [3482](https://github.com/zammad/zammad/issues/3482) [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Bulk Action Bar is not displayed properly on responsive design [3475](https://github.com/zammad/zammad/issues/3475) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- UX problem with scheduler and postmaster condition filter is user selection is used [3480](https://github.com/zammad/zammad/issues/3480) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Mention does not notify users without full permission on group [3471](https://github.com/zammad/zammad/issues/3471) [[bug](https://github.com/zammad/zammad/labels/bug)] [[notification](https://github.com/zammad/zammad/labels/notification)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Mentions migration fails because of unexpected User notification_config matrix state. [3472](https://github.com/zammad/zammad/issues/3472) [[bug](https://github.com/zammad/zammad/labels/bug)] [[update](https://github.com/zammad/zammad/labels/update)]
- Invalid elasticsearch(-oss) alternative dependency format breaks package installation/update for RPM based installations. [3470](https://github.com/zammad/zammad/issues/3470) [[bug](https://github.com/zammad/zammad/labels/bug)] [[update](https://github.com/zammad/zammad/labels/update)]
- Startup fails with "Circular dependency detected while autoloading constant Tag::WritesToTicketHistory (RuntimeError)" [3469](https://github.com/zammad/zammad/issues/3469) [[blocker](https://github.com/zammad/zammad/labels/blocker)] [[bug](https://github.com/zammad/zammad/labels/bug)]


## [4.0.0](https://github.com/zammad/zammad/tree/4.0.0) (2021-03-25)
[Full Changelog](https://github.com/zammad/zammad/compare/3.6.0...4.0.0)

**Implemented enhancements:**
- No indication in ticket sidebar when a subscribed user no longer has access to a ticket [3454](https://github.com/zammad/zammad/issues/3454) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- New created overviews should be at the end of the overview list [3451](https://github.com/zammad/zammad/issues/3451) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Mixed naming regarding mentioned and subscribed in UI [3462](https://github.com/zammad/zammad/issues/3462) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Using inbound outbound email account from google [342](https://github.com/zammad/zammad/issues/342) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[works as designed / wontfix](https://github.com/zammad/zammad/labels/works as designed / wontfix)]
- Webhook action should display hint in Scheduler and Trigger [3421](https://github.com/zammad/zammad/issues/3421) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[trigger](https://github.com/zammad/zammad/labels/trigger)]
- Broken counter check for attributes examples causes exchange integration wizard to check all entries instead of 50 [3435](https://github.com/zammad/zammad/issues/3435) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- Software error when Elasticsearch is not configured and `rake searchindex:rebuild` [3276](https://github.com/zammad/zammad/issues/3276) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Reasoning about Webhooks activity [3372](https://github.com/zammad/zammad/issues/3372) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[admin area](https://github.com/zammad/zammad/labels/admin area)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- Login always redirected to dashboard after third party / OAuth2 login (e.g. Google) [2266](https://github.com/zammad/zammad/issues/2266) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[authentication](https://github.com/zammad/zammad/labels/authentication)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Support for Tablets/Mobile (Responsive)  [223](https://github.com/zammad/zammad/issues/223) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[mobile](https://github.com/zammad/zammad/labels/mobile)]
- Tree select has no mutli select on ticket selector for overview, triggers, ... [3333](https://github.com/zammad/zammad/issues/3333) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Allow mailto links in knowledge base (KB) and email signatures. [3344](https://github.com/zammad/zammad/issues/3344) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Renaming a Group should trigger reindexing [3234](https://github.com/zammad/zammad/issues/3234) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Logging of email postmaster filter is to extensive with many more then 10 filters  [3382](https://github.com/zammad/zammad/issues/3382) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Unclear why entities are skipped in import(s) [3360](https://github.com/zammad/zammad/issues/3360) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[import](https://github.com/zammad/zammad/labels/import)]
- Allow font colors in articles (not only in tables) [3345](https://github.com/zammad/zammad/issues/3345) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Fix empty msgid [2063](https://github.com/zammad/zammad/pull/2063) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Direct Article URL / Link in Zoom [3331](https://github.com/zammad/zammad/issues/3331) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Consistently handle the 'disabled' attr in inputs [2929](https://github.com/zammad/zammad/pull/2929) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- Change behavior how Zammad handles detected link in "Getting started"-Wizard [2651](https://github.com/zammad/zammad/issues/2651) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Make it possible to only send with agent name [3319](https://github.com/zammad/zammad/issues/3319) [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Date and Datetime widgets can not be disabled [3291](https://github.com/zammad/zammad/issues/3291) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Allow reauthentication of Google / Microsoft 365 accounts [3240](https://github.com/zammad/zammad/issues/3240) [[channel](https://github.com/zammad/zammad/labels/channel)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)]
- Change-Right allows creation of new tickets [2568](https://github.com/zammad/zammad/issues/2568) [[bug](https://github.com/zammad/zammad/labels/bug)] [[enhancement](https://github.com/zammad/zammad/labels/enhancement)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]

**Fixed bugs:**
- Gitlab and  Github integration cause application reload when using [Enter] [3455](https://github.com/zammad/zammad/issues/3455) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- elasticsearch index rebuild will log warnings to log/production.log [3466](https://github.com/zammad/zammad/issues/3466) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Removal of referenced webhooks does not provide error toast within UI [3453](https://github.com/zammad/zammad/issues/3453) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- After calling the delete or clone dialog three times, two modal dialogs appear in succession [3463](https://github.com/zammad/zammad/issues/3463) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Migration of webhooks stop unexpectedly [3465](https://github.com/zammad/zammad/issues/3465) [[bug](https://github.com/zammad/zammad/labels/bug)]
- GitLab Integration [435](https://github.com/zammad/zammad/issues/435) [[feature backlog](https://github.com/zammad/zammad/labels/feature backlog)] [[integration](https://github.com/zammad/zammad/labels/integration)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Dashboard stats widgets are sometimes lost/empty [3461](https://github.com/zammad/zammad/issues/3461) [[bug](https://github.com/zammad/zammad/labels/bug)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Ticket Zoom is not working correctly with iPhone [3457](https://github.com/zammad/zammad/issues/3457) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Able to select agents in @@mention feature which do not have access to tickets [3452](https://github.com/zammad/zammad/issues/3452) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Generic oAuth2 login provider is unusable [2951](https://github.com/zammad/zammad/issues/2951) [[authentication](https://github.com/zammad/zammad/labels/authentication)]
- #3080 changes scopes to API versions > 6 [3256](https://github.com/zammad/zammad/pull/3256)
- Webhook http log overflows out of browser borders [3448](https://github.com/zammad/zammad/issues/3448) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- Unable to sync Exchange contracts (if one contact is unable to process) [3436](https://github.com/zammad/zammad/issues/3436) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Notify / Mention other agents / Subscribe to Tickets [208](https://github.com/zammad/zammad/issues/208) [[collaboration](https://github.com/zammad/zammad/labels/collaboration)] [[feature backlog](https://github.com/zammad/zammad/labels/feature backlog)]
- GitHub integration [1575](https://github.com/zammad/zammad/issues/1575) [[feature backlog](https://github.com/zammad/zammad/labels/feature backlog)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- Zammad 3.6.0 cannot configure proxy [3362](https://github.com/zammad/zammad/issues/3362) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Cursor locked in and can't leave date select field in Safari [3414](https://github.com/zammad/zammad/issues/3414) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- DataPrivacy Task fails in some situations [3402](https://github.com/zammad/zammad/issues/3402) [[bug](https://github.com/zammad/zammad/labels/bug)] [[data privacy](https://github.com/zammad/zammad/labels/data privacy)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Unable to close sidebar in ticket create screen after ticket split [3419](https://github.com/zammad/zammad/issues/3419) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- "Go back" button in mapping wizard screen in exchange integrations leads to wrong screen (folder selection should be shown, access information) [3434](https://github.com/zammad/zammad/issues/3434) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- Unable to see full folder name in Exchange integration. Folder names are longer as space in display area. [3433](https://github.com/zammad/zammad/issues/3433) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- rake searchindex:rebuild reports 400 Bad Request [334](https://github.com/zammad/zammad/issues/334)
- Unable to process ticket bulk action from overview [3415](https://github.com/zammad/zammad/issues/3415) [[bug](https://github.com/zammad/zammad/labels/bug)] [[bulk](https://github.com/zammad/zammad/labels/bulk)] [[overviews](https://github.com/zammad/zammad/labels/overviews)]
- Microsoft 365: The refresh token has expired due to inactivity. The token was issued on 2020-11-17T13:30:55.3656422Z and was inactive for 90.00:00:00. [3411](https://github.com/zammad/zammad/issues/3411) [[authentication](https://github.com/zammad/zammad/labels/authentication)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[channel](https://github.com/zammad/zammad/labels/channel)]
- Don't display dot(s) next to state circles [3262](https://github.com/zammad/zammad/issues/3262) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Editing @Login message is hard with invisible text [3238](https://github.com/zammad/zammad/issues/3238) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Backslash "\" causes tree select to disappear during selection [3162](https://github.com/zammad/zammad/issues/3162) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[object manager attribute](https://github.com/zammad/zammad/labels/object manager attribute)]
- Forms are not well displayed (width is to small) if firefox 86 (latest stable) is used [3420](https://github.com/zammad/zammad/issues/3420) [[bug](https://github.com/zammad/zammad/labels/bug)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Scheduler dies if Trigger, Ticket or Article of a Webhook job got deleted before job got executed [3416](https://github.com/zammad/zammad/issues/3416) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- SLA update statistics wrong [3410](https://github.com/zammad/zammad/issues/3410) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Relational report filters do not work (ticket.organization.*, ticket.article.*, ticket.customer.*) [3243](https://github.com/zammad/zammad/issues/3243) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[reporting](https://github.com/zammad/zammad/labels/reporting)]
- HTML structure that is not parseable by jQuery causes JavaScript error that breaks Ticket Zoom view. [3393](https://github.com/zammad/zammad/issues/3393) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Drag&Drop from Outlook to Zammad removes message from Outlook [3165](https://github.com/zammad/zammad/issues/3165) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- French "see more / see less" escaped apostrophe [3401](https://github.com/zammad/zammad/issues/3401) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Button link attribute too wide (ticket articles) [3274](https://github.com/zammad/zammad/issues/3274) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Trigger based notifications are not sent (Send no trigger based notification to bob.smith@example.com because email is marked as mail_delivery_failed for -157 days) [3389](https://github.com/zammad/zammad/issues/3389) [[bug](https://github.com/zammad/zammad/labels/bug)] [[trigger](https://github.com/zammad/zammad/labels/trigger)]
- Channel distribution widget in Dashboard sometimes borken [3403](https://github.com/zammad/zammad/issues/3403) [[bug](https://github.com/zammad/zammad/labels/bug)] [[dashboard](https://github.com/zammad/zammad/labels/dashboard)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- update license to original text [3398](https://github.com/zammad/zammad/pull/3398)
- Unable to open object manager select field modal if options contains invalid data (like undefined or null) [3391](https://github.com/zammad/zammad/issues/3391) [[bug](https://github.com/zammad/zammad/labels/bug)]
- HTTP 401 responses causing issues with Basic Authentication [2983](https://github.com/zammad/zammad/issues/2983) [[API](https://github.com/zammad/zammad/labels/API)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Added elasticsearch-oss as an dependency [3355](https://github.com/zammad/zammad/pull/3355)
- Long tag list in manage overviews/SLAs/triggers/report profiles/time accounting doesn't wrap [2536](https://github.com/zammad/zammad/issues/2536) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Japanese character is garbled.  [3368](https://github.com/zammad/zammad/issues/3368) [[bug](https://github.com/zammad/zammad/labels/bug)] [[mail processing](https://github.com/zammad/zammad/labels/mail processing)]
- Zendesk import doesn't consider all tickets [2694](https://github.com/zammad/zammad/issues/2694) [[bug](https://github.com/zammad/zammad/labels/bug)] [[import](https://github.com/zammad/zammad/labels/import)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Execution timeout while performing request to Zendesk API fails import for current resource [3381](https://github.com/zammad/zammad/issues/3381) [[bug](https://github.com/zammad/zammad/labels/bug)] [[import](https://github.com/zammad/zammad/labels/import)]
- chat-no-jquery(.min).js is logging an javascript exception (Uncaught ReferenceError: node is not defined) [3377](https://github.com/zammad/zammad/issues/3377) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Data in DB and elasticsearch (e.g. ticket overview) out of sync. [3257](https://github.com/zammad/zammad/issues/3257) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[search](https://github.com/zammad/zammad/labels/search)]
- chat-no-jquery(.min).js is dropping click binds/event listener after from web page [3375](https://github.com/zammad/zammad/issues/3375) [[bug](https://github.com/zammad/zammad/labels/bug)]
- LDAP users marked as inactive [3373](https://github.com/zammad/zammad/issues/3373) [[LDAP](https://github.com/zammad/zammad/labels/LDAP)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Initial configure step after adding XOAUTH account not functional if account is disabled [3346](https://github.com/zammad/zammad/issues/3346) [[bug](https://github.com/zammad/zammad/labels/bug)] [[channel](https://github.com/zammad/zammad/labels/channel)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Ticket follow ups does not always provide "see more" link on new articles [3052](https://github.com/zammad/zammad/issues/3052) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- High system load, "StatusCode: 500 - execution expired", ActiveRecord::Deadlocked issues, and scheduler problems prevent Zammad from working well/quickly [3336](https://github.com/zammad/zammad/issues/3336) [[bug](https://github.com/zammad/zammad/labels/bug)] [[regression](https://github.com/zammad/zammad/labels/regression)]
- Update french translation [3354](https://github.com/zammad/zammad/pull/3354)
- Japanese emails incorrectly converted [3096](https://github.com/zammad/zammad/issues/3096) [[bug](https://github.com/zammad/zammad/labels/bug)] [[mail processing](https://github.com/zammad/zammad/labels/mail processing)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Remove ServerTokens from apache configurations [3253](https://github.com/zammad/zammad/issues/3253) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Reports do not show week 53 [3341](https://github.com/zammad/zammad/issues/3341) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Group by selection field has wrong counters if no value [2751](https://github.com/zammad/zammad/issues/2751) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- nested "view from user perspective" yield to only being able to return to last viewed session [3315](https://github.com/zammad/zammad/issues/3315) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Scrolling to Article by passing ID to URL is broken [3330](https://github.com/zammad/zammad/issues/3330) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Trigger-conditions 'Email' required the @ sign [3334](https://github.com/zammad/zammad/issues/3334) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Object Manager: Max length attribut has no impact on the validation in the browser [738](https://github.com/zammad/zammad/issues/738) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[object manager attribute](https://github.com/zammad/zammad/labels/object manager attribute)]
- Reporting: CSV-Export contains Tags twice (once empty) [2793](https://github.com/zammad/zammad/issues/2793) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[reporting](https://github.com/zammad/zammad/labels/reporting)]
- Deletion via API impossible when user logged in at some point [2605](https://github.com/zammad/zammad/issues/2605) [[works as designed / wontfix](https://github.com/zammad/zammad/labels/works as designed / wontfix)]
- Quotation marks are encoded when displayed [3322](https://github.com/zammad/zammad/issues/3322) [[bug](https://github.com/zammad/zammad/labels/bug)] [[translation](https://github.com/zammad/zammad/labels/translation)]
- Macros with notes not working on overview "drop bar" [2925](https://github.com/zammad/zammad/issues/2925) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)] [[overviews](https://github.com/zammad/zammad/labels/overviews)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Article Notes added via Macro are not HTML formatted [2980](https://github.com/zammad/zammad/issues/2980) [[bug](https://github.com/zammad/zammad/labels/bug)] [[macros](https://github.com/zammad/zammad/labels/macros)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Customer invitation doesn't work if "customer" role is  name wise missing [3007](https://github.com/zammad/zammad/issues/3007) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[dashboard](https://github.com/zammad/zammad/labels/dashboard)] [[notification](https://github.com/zammad/zammad/labels/notification)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Simply improve french translation for chat [3277](https://github.com/zammad/zammad/pull/3277)
- Ticket zoom: do not toggle detail view when deselecting text (fixes #2589) [2590](https://github.com/zammad/zammad/pull/2590)
- Problem with Adding new Rows in Tree-Select [3320](https://github.com/zammad/zammad/issues/3320) [[bug](https://github.com/zammad/zammad/labels/bug)] [[object manager attribute](https://github.com/zammad/zammad/labels/object manager attribute)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Migrating to another host causes Login to fail [3324](https://github.com/zammad/zammad/issues/3324) [[backup](https://github.com/zammad/zammad/labels/backup)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- X-On-Behalf-Of does not downcase input [3316](https://github.com/zammad/zammad/issues/3316) [[API](https://github.com/zammad/zammad/labels/API)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Ticket selector "within last (relative)" and "within next (relative)" not working correctly [3270](https://github.com/zammad/zammad/issues/3270) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Closing bracket in Ticket Selector preview is displayed wrong / when it shouldn't [3323](https://github.com/zammad/zammad/issues/3323) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Unable to process email (because of very long meta headers) [3293](https://github.com/zammad/zammad/issues/3293) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Unable to unassign owner via macro or trigger [3321](https://github.com/zammad/zammad/issues/3321) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Rocket.Chat [878](https://github.com/zammad/zammad/issues/878) [[channel](https://github.com/zammad/zammad/labels/channel)] [[documentation](https://github.com/zammad/zammad/labels/documentation)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- No icon / thumbnail for attached files when added via API [3309](https://github.com/zammad/zammad/issues/3309) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Relative fields get copied on macro [3213](https://github.com/zammad/zammad/issues/3213) [[bug](https://github.com/zammad/zammad/labels/bug)] [[macros](https://github.com/zammad/zammad/labels/macros)]
- macro button the text cropped in RTL lang [3300](https://github.com/zammad/zammad/issues/3300) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Zendesk import fails if not supported field types are present [3314](https://github.com/zammad/zammad/issues/3314) [[bug](https://github.com/zammad/zammad/labels/bug)] [[import](https://github.com/zammad/zammad/labels/import)]
- Zendesk import fails if fields with unsupported chars in its name are present [3310](https://github.com/zammad/zammad/issues/3310) [[bug](https://github.com/zammad/zammad/labels/bug)] [[import](https://github.com/zammad/zammad/labels/import)]
- Zendesk migration of textareas fails [3307](https://github.com/zammad/zammad/issues/3307) [[bug](https://github.com/zammad/zammad/labels/bug)] [[import](https://github.com/zammad/zammad/labels/import)]
- Removing image in text field with backspaces causes browser to go back [3281](https://github.com/zammad/zammad/issues/3281) [[bug](https://github.com/zammad/zammad/labels/bug)] [[frontend / JS app](https://github.com/zammad/zammad/labels/frontend / JS app)]
- Having more active Agents using the Chat decreases performance linearly [3299](https://github.com/zammad/zammad/issues/3299) [[bug](https://github.com/zammad/zammad/labels/bug)] [[chat](https://github.com/zammad/zammad/labels/chat)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Pending till can be changed by customer via web interface [2671](https://github.com/zammad/zammad/issues/2671) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- history entries of ObjectManager::Attribute changes display wrong change information when value is removed [3135](https://github.com/zammad/zammad/issues/3135) [[bug](https://github.com/zammad/zammad/labels/bug)] [[history](https://github.com/zammad/zammad/labels/history)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Sessions::Node don't do any work if ZAMMAD_SESSION_JOBS_CONCURRENT was higher and got lowered [3304](https://github.com/zammad/zammad/issues/3304) [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)]
- Unable to manage Microsoft365 accounts if oauth token is not able to get refreshed [3292](https://github.com/zammad/zammad/issues/3292) [[bug](https://github.com/zammad/zammad/labels/bug)] [[channel](https://github.com/zammad/zammad/labels/channel)]
- Deletion of notes impossible if internal and communication = true [2853](https://github.com/zammad/zammad/issues/2853) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[regression](https://github.com/zammad/zammad/labels/regression)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Attachments get lost on forward in specific conditions [2942](https://github.com/zammad/zammad/issues/2942) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[ticket](https://github.com/zammad/zammad/labels/ticket)]
- Setting used objects (overviews, triggers, scheduler) to inactive works [2560](https://github.com/zammad/zammad/issues/2560) [[bug](https://github.com/zammad/zammad/labels/bug)] [[overviews](https://github.com/zammad/zammad/labels/overviews)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- HTML chars in message visible [3171](https://github.com/zammad/zammad/issues/3171) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Videos embedded in Knowledge Base do not allow full screen mode [3297](https://github.com/zammad/zammad/issues/3297) [[bug](https://github.com/zammad/zammad/labels/bug)] [[knowledge base](https://github.com/zammad/zammad/labels/knowledge base)]
- Channel::EmailParser.process_unprocessable_mails doesn't find matching Group because of key insensitive mismatch in email address [3296](https://github.com/zammad/zammad/issues/3296) [[bug](https://github.com/zammad/zammad/labels/bug)] [[mail processing](https://github.com/zammad/zammad/labels/mail processing)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Can't delete Applications (OAuth Authentication) [3287](https://github.com/zammad/zammad/issues/3287) [[authentication](https://github.com/zammad/zammad/labels/authentication)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- "Next in overview" doesn't update the URL and breaks Shift+Ctrl+... [3260](https://github.com/zammad/zammad/issues/3260) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Unable to upgrade from Zammad 3.3 to 3.6 [3282](https://github.com/zammad/zammad/issues/3282) [[bug](https://github.com/zammad/zammad/labels/bug)]
- Issue opened  in overview doesn't have previous/next buttons if it was opened before [3267](https://github.com/zammad/zammad/issues/3267) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- "Next ticket in overview" is clickable for the last ticket in the overview [3279](https://github.com/zammad/zammad/issues/3279) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Webhooks [290](https://github.com/zammad/zammad/issues/290) [[core](https://github.com/zammad/zammad/labels/core)] [[feature backlog](https://github.com/zammad/zammad/labels/feature backlog)] [[integration](https://github.com/zammad/zammad/labels/integration)]
- Factual Macro title shown in ticket update dropdown [3266](https://github.com/zammad/zammad/issues/3266) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)]
- Timeaccounting ignores tags in conditions [3042](https://github.com/zammad/zammad/issues/3042) [[UX/UI](https://github.com/zammad/zammad/labels/UX/UI)] [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)] [[time accounting](https://github.com/zammad/zammad/labels/time accounting)]
- Merging two Tickets with link to same other Ticket fails [2347](https://github.com/zammad/zammad/issues/2347) [[bug](https://github.com/zammad/zammad/labels/bug)] [[prioritised by payment](https://github.com/zammad/zammad/labels/prioritised by payment)]
- Calendar counts 24/7 business hours as closed for 1 minute at midnight [3180](https://github.com/zammad/zammad/issues/3180) [[bug](https://github.com/zammad/zammad/labels/bug)]
- ProtonMail Bridge error: Can’t use Channel::Driver::Imap: #<Net::IMAP::NoResponseError: unsupported search query> [3233](https://github.com/zammad/zammad/issues/3233) [[bug](https://github.com/zammad/zammad/labels/bug)] [[channel](https://github.com/zammad/zammad/labels/channel)]
